### Method

# Gtk Widget get_primary_clipboard

#### Declaration [src]

    GdkClipboard*
    gtk_widget_get_primary_clipboard (
      GtkWidget* widget
    )

#### Description [src]

Gets the primary clipboard of the widget.

This is a utility function to get the primary clipboard object for the display that `widget` is using.

Note that this function always works, even when `widget` is not realized yet.

#### Return value

Type: `GdkClipboard`

The appropriate clipboard object.

The returned data is owned by the instance.